Package org.apache.catalina.util

## Class ConcurrentDateFormat

- java.lang.Object
- - org.apache.catalina.util.ConcurrentDateFormat

    @Deprecated
    public class ConcurrentDateFormat
    extends java.lang.Object

Deprecated.
Unused. This will be removed in Tomcat 10. Use `ConcurrentDateFormat`
A thread safe wrapper around `SimpleDateFormat` that does not make use of ThreadLocal and - broadly - only creates enough SimpleDateFormat objects to satisfy the concurrency requirements.

### Field Summary

Fields
`static java.util.TimeZone` `GMT` Deprecated.
`static java.lang.String` `RFC1123_DATE` Deprecated.

### Constructor Summary

Constructors
`ConcurrentDateFormat​(java.lang.String format, java.util.Locale locale, java.util.TimeZone timezone)` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`java.lang.String` `format​(java.util.Date date)` Deprecated.
`static java.lang.String` `formatRfc1123​(java.util.Date date)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RFC1123_DATE

    public static final java.lang.String RFC1123_DATE

Deprecated.

See Also:
  Constant Field Values

#### GMT

    public static final java.util.TimeZone GMT

Deprecated.

### Constructor Detail

#### ConcurrentDateFormat

    public ConcurrentDateFormat​(java.lang.String format,
                                java.util.Locale locale,
                                java.util.TimeZone timezone)

Deprecated.

### Method Detail

#### formatRfc1123

    public static java.lang.String formatRfc1123​(java.util.Date date)

Deprecated.

#### format

    public java.lang.String format​(java.util.Date date)

Deprecated.